CC=gcc
CFLAGS=-W -Wall -g
LDFLAGS=
EXEC=alcons
FIFO_RX=/tmp/fifo_rx
FIFO_TX=/tmp/fifo_tx
TEST=test_tx.txt test_rx.txt

all: $(EXEC)

alcons: alcons.o threads.o
	$(CC) -o $@ $^ $(LDFLAGS) -lrt -pthread

%.o: %.c
	$(CC) -o $@ -c $< $(CFLAGS)

clean:
	rm -f *.o alcons $(FIFO_RX) $(FIFO_TX) $(TEST)

